Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590917 - select secondary volume group and crash
select secondary volume group and crash
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 19:43 EDT by Andrey
Modified: 2010-06-23 09:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 09:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey 2010-05-10 19:43:03 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 453, in on_tree_selection_changed
    self.display_view.render_vg(vg)
  File "/usr/share/system-config-lvm/renderer.py", line 534, in render_vg
    self.display.append_right(False, Separator())
  File "/usr/share/system-config-lvm/cylinder_items.py", line 746, in append_right
    self.__adjust_width()
  File "/usr/share/system-config-lvm/cylinder_items.py", line 757, in __adjust_width
    self.cyl_upper.set_ratio(float(self.width-(up_w-up_w_adj))/up_w_adj)
ZeroDivisionError: float division
/usr/share/system-config-lvm/cylinder_items.py:1032: GtkWarning: gdk_pixbuf_scale_simple: assertion `dest_width > 0' failed
  scaled_pixbuf = self.pixbuf.scale_simple(pixmap_width, height, gtk.gdk.INTERP_BILINEAR)
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/renderer.py", line 582, in expose
    self.draw()
  File "/usr/share/system-config-lvm/renderer.py", line 591, in draw
    self.display.draw(self.da, self.gc, (10, y_offset))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 920, in draw
    self.cyl_upper.draw(pixmap, gc, (x, y))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 305, in draw
    CylinderItem.draw(self, dc, gc, (x, y))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 120, in draw
    child.draw(dc, gc, (x, y))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 305, in draw
    CylinderItem.draw(self, dc, gc, (x, y))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 120, in draw
    child.draw(dc, gc, (x, y))
  File "/usr/share/system-config-lvm/cylinder_items.py", line 311, in draw
    cyl_pix = self.cyl_gen.get_cyl(dc, self.get_width(), self.height)
  File "/usr/share/system-config-lvm/cylinder_items.py", line 1039, in get_cyl
    pixmap.draw_pixbuf(gc, scaled_pixbuf, 0, 0, 0, 0, -1, -1)
TypeError: GdkDrawable.draw_pixbuf() argument 2 must be gtk.gdk.Pixbuf, not None
The program 'system-config-lvm' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 11360 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)


Version-Release number of selected component (if applicable):
system-config-lvm-1.1.5-1.0.el5_4.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
vgdisplay
  --- Volume group ---
  VG Name               vg01
  System ID
  Format                lvm2
  Metadata Areas        3
  Metadata Sequence No  2
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                1
  Open LV               1
  Max PV                0
  Cur PV                3
  Act PV                3
  VG Size               1,09 TB
  PE Size               4,00 MB
  Total PE              286068
  Alloc PE / Size       286068 / 1,09 TB
  Free  PE / Size       0 / 0
  VG UUID               Mw11k3-iT26-ZYJU-oM99-st4a-F4LK-8irMvr

  --- Volume group ---
  VG Name               vg02
  System ID
  Format                lvm2
  Metadata Areas        3
  Metadata Sequence No  4
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                1
  Open LV               1
  Max PV                0
  Cur PV                3
  Act PV                3
  VG Size               1,09 TB
  PE Size               4,00 MB
  Total PE              286068
  Alloc PE / Size       285944 / 1,09 TB
  Free  PE / Size       124 / 496,00 MB
  VG UUID               obbOCx-0HK3-R45J-oj4S-PUMF-amTB-h8v7cV
Comment 1 Marek Grac 2010-06-14 10:57:34 EDT
Hi,

My attempts to reproduce this problems fails. If it is possible please add more information what exactly you have to do before crash. Also please try to create a 3rd volume group (on loopback device for example) so I can find a solution.

Thanks

Note You need to log in before you can comment on or make changes to this bug.